#modname "Warhammer Poptype PD 0.1"
#description "A mod to allow Sombre's Warhammer nations to replace independent recruitables and independent province defence with national recruitables and PD. This mod only works in conjunction with the Sombre Warhammer compilation pack or the individual Sombre Warhammer nations."
#icon "./Warhammer_Poptype_PD/logo.tga"
#version 0.1


-- Poptype IDS -- Nation IDs involved

----------------------------- 11 -- 110 -- High Elves
----------------------------- 12 -- 112 -- Tomb Kings
----------------------------- 13 -- 113 -- Vampires
----------------------------- 14 -- 114 -- Bretonnia
----------------------------- 15 -- 115 -- Tilea
----------------------------- 16 -- 116 -- Skaven
----------------------------- 17 -- 117 -- Dwarfs
----------------------------- 18 -- 121 -- Ogre Kingdoms
----------------------------- 19 -- 141 -- Chaos Dwarfs
----------------------------- 20 -- 142 -- Altdorf
----------------------------- 21 -- 143 -- Nuln
----------------------------- 22 -- 144 -- Middenheim
-- 10 -- 146 -- Slaanesh -- not yet released
----------------------------- 9 -- 160 -- Greenskins North
----------------------------- 8 -- 161 -- Greenskins South
----------------------------- 7 -- 178 -- Dark Elves


----- POPTYPES

-- poptypes 1-24 are apparently unused

-- Dark Elves

#selectpoptype 7
#clearrec
#cleardef
#addrecunit 5100  -- Dreadspear
#addrecunit 5103  -- Darkshard
#addreccom 5119 -- Master
#defunit1 5103 -- Darkshard
#defunit1b 5100 -- Dreadspear
#defmult1 10
#defmult1b 10
#end

-- Greenskins South

#selectpoptype 8
#clearrec
#cleardef
#addrecunit 3800 -- goblin montag
#addrecunit 3802 -- goblin archer
#addreccom 3964 -- goblin boss (SOUTH)
#addreccom 3900 -- goblin wolfrider scout
#defcom1 3957 -- orc boss (SOUTH)
#defunit1 -6552 -- goblin infantry montag
#defunit1b 3802 -- goblin archer
#defmult1 15
#defmult1b 15
#end

-- Greenskins North

#selectpoptype 9
#clearrec
#cleardef
#addrecunit 3800 -- goblin montag
#addrecunit 3802 -- goblin archer
#addrecunit 
#addreccom 3912 -- goblin boss
#addreccom 3900 -- goblin wolfrider scout
#defcom1 3905 -- orc boss
#defunit1 -6552 -- goblin infantry montag
#defunit1b 3802 -- goblin archer
#defmult1 15
#defmult1b 15
#end

-- High Elves

#selectpoptype 11
#clearrec
#cleardef
#addrecunit 6002 -- Spearmen
#addrecunit 6001 -- Archer
#addreccom 6015 -- scout
#defunit1 6002 -- Spearmen
#defunit1b 6001 -- Archer
#defmult1 10
#defmult1b 10
#end

-- Tomb Kings

#selectpoptype 12
#clearrec
#cleardef
#addreccom 5271 -- tomb herald
#addrecunit 5242 -- light spear
#addrecunit 5244 -- light infantry
#addrecunit 5246 -- light archer
#addrecunit 5248 -- warrior
#defcom1 5276 -- liche acolyte
#defunit1 5242 -- light spear
#defunit1b 5246 -- light archer
#defmult1 15
#defmult1b 10
#end

-- Vampires

#selectpoptype 13
#clearrec
#cleardef
#addrecunit 4102 -- Soulless montag recruit form
#addrecunit 4053 -- Longdead montag recruit form
#addreccom 4048 -- Vampire bat as scout
#defunit1 191 -- Longdead
#defunit1b 914 -- soulless
#defmult1 12
#defmult1b 12
#end

-- Bretonnia

#selectpoptype 14
#clearrec
#cleardef
#addrecunit 3662 -- Men-at-Arms (leather)
#addrecunit 3663 -- Men-at-Arms (chain)
#addrecunit 3665 -- Peasant Bowman
#addreccom 3675 -- Yeoman Outrider
#addreccom 3697 -- Paladin
#defcom1 3728 -- Grail Maiden
#defunit1 3662 -- Men-at-Arms (leather)
#defunit1b 3663 -- Men-at-Arms (chain)
#defunit1c 3665 -- Peasant Bowman
#defmult1 20
#defmult1b 10
#defmult1c 20
#end

-- Tilea

#selectpoptype 15
#clearrec
#cleardef
#addrecunit 5352 -- pikeman
#addrecunit 5353 -- crossbowman
#addreccom 5430 -- Scout
#addreccom 5368 -- merc captain
#addreccom 5431 -- Generic Priest
#defunit1 5352 -- pikeman
#defunit1b 5353 -- crossbowman
#defmult1 10
#defmult1b 10
#end

-- Skaven

#selectpoptype 16
#clearrec
#cleardef
#addrecunit 5542 -- Skavenslave with club
#addrecunit 5587 -- Skavenslave with spear and shield
#addrecunit 5551 -- Skavenslave slinger
#addrecunit 5541 -- Clanrat Spear
#addrecunit 5540 -- Clanrat Sword
#addrecunit 
#addreccom 5580 -- Scout
#addreccom 5560 -- Chieftain
#defcom1 5562 -- Moulder Packmaster
#defunit1 5541 -- Clanrat Spear
#defunit1b 5540 -- Clanrat Sword
#defunit1c 5551 -- Skavenslave slinger
#defmult1 20
#defmult1b 10
#defmult1c 10
#end

-- Dwarfs

#selectpoptype 17
#clearrec
#cleardef
#addrecunit 6100 -- Clansdwarf
#addrecunit 6102 -- Crossbowdwarf
#addreccom 6111 -- Thane
#defcom1 6127 -- Ancestor Stone
#defunit1 6100 -- Clansdwarf
#defunit1b 6102 -- Crossbowdwarf
#defmult1 10
#defmult1b 10
#end

-- Ogre Kingdoms

#selectpoptype 18
#clearrec
#cleardef
#addrecunit 5503 -- Gnoblar Fighter
#addrecunit 5500 -- Ogre Bull Club
#addrecunit 5501 -- Ogre Bull Ironfist
#addreccom 5527 -- Gnoblar Scout
#addreccom 5520 -- Ogre Bruiser
#defunit1 5503 -- Gnoblar Fighter
#defunit1b 5500 -- Ogre Bull Club
#defmult1 20
#defmult1b 8
#end

-- Chaos Dwarfs

#selectpoptype 19
#clearrec
#cleardef
#addrecunit 8108 -- Hobgoblin Spearman
#addrecunit 8107 -- Hobgoblin Archer
#addrecunit 8100 -- Chaos Dwarf Warrior
#addreccom 8125 -- Hobgoblin Scout
#addreccom 8129 -- Castellan
#defcom1 8126 -- Hobgoblin Khan -- Sets the secondary commander for this poptype’s PD when PD is 20 or higher.
#defunit1 8107 -- Hobgoblin Archer
#defunit1b 8108 -- Hobgoblin Spearman
#defmult1 10
#defmult1b 20
#end

-- Altdorf

#selectpoptype 20
#clearrec
#cleardef
#addrecunit 7450 -- State Spearman
#addrecunit 7454 -- Archer
#addreccom 426 -- Scout
#addreccom 7436 -- State Captain
#defcom1 7437 -- Warrior Priest -- Sets the secondary commander for this poptype’s PD when PD is 20 or higher.
#defunit1 7450 -- State Spearman -- Sets the first type of unit in the poptype PD.
#defunit1b 7454 -- Archer -- Sets the second type of unit in the poptype PD.
#defmult1 10 -- Number of units per 10 points of defense. E.g. __#defmult1 20 will yield 2 units per point of defense, which is also the default.
#defmult1b 10 -- number of units per 10 points of defense for the second unit type.
#end

-- Nuln

#selectpoptype 21
#clearrec
#cleardef
#addrecunit 7403 -- State Spearman (N)
#addrecunit 7399 -- Archer (N)
#addrecunit 7420 -- State Crossbowman (N)
#addreccom 426 -- Scout
#addreccom 7417 -- State Captain (N)
#defunit1 7403 -- State Spearman (N)
#defunit1b 7399 -- Archer (N)
#defunit1c 7420 -- State Crossbowman (N)
#defmult1 10
#defmult1b 8
#defmult1c 8
#end

-- Middenheim

#selectpoptype 22
#clearrec
#cleardef
#addrecunit 7502 -- State Spearman (Middenheim)
#addrecunit 7518 -- Archer (Middenheim)
#addreccom 426 -- Scout
#addreccom 7504 -- State Captain (Middenheim)
#defcom1 7522 -- Warrior Priest of Ulric (middenheim)
#defunit1 7502 -- State Spearman (Middenheim)
#defunit1b 7518 -- Archer (Middenheim)
#defmult1 10
#defmult1b 10
#end



----- POPTYPE EVENTS
-- Each nation needs an event that turns their own poptype into a suitable generic poptype. Then following that, an event that turns any province under their control into their poptype

---- DARK ELVES

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 7
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 7
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 178
#setpoptype 7
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end




---- GREENSKINS SOUTH (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 8
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 8
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 8
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 161
#setpoptype 8
#req_land 1 -- must be land
#end

---- GREENSKINS NORTH (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 9
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 9
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 9
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 160
#setpoptype 9
#req_land 1 -- must be land
#end



---- ULTHUAN

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 11
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 11
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 110
#setpoptype 11
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end

---- TOMB KINGS (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 12
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 12
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 12
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 112
#setpoptype 12
#req_land 1 -- must be land
#end



---- VAMPIRES (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 13
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 13
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 13
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 113
#setpoptype 13
#req_land 1 -- must be land
#end





---- BRETONNIA

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 14
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 14
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 114
#setpoptype 14
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end


---- TILEA

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 15
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 15
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 115
#setpoptype 15
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end


---- SKAVEN (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 16
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 16
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 16
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 116
#setpoptype 16
#req_land 1 -- must be land
#end


---- DWARFS (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 17
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 17
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 17
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 117
#setpoptype 17
#req_land 1 -- must be land
#end


---- OGRES (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 18
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 18
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 18
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 121
#setpoptype 18
#req_land 1 -- must be land
#end



---- CHAOS DWARFS (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 19
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 19
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 19
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 141
#setpoptype 19
#req_land 1 -- must be land
#end




---- ALTDORF

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 20 -- altdorf poptype
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 20 -- altdorf poptype
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 142 -- altdorf
#setpoptype 20
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end


---- NULN

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 21
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 21
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 143
#setpoptype 21
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end


---- MIDDENHEIM

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 22
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 22
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 144
#setpoptype 22
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end




